Package org.flowable.eventsubscription.api

# Interface EventSubscription

public interface EventSubscription
Represent an event subscription for a process definition or a process instance.

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  Gets the activity id of the BPMN definition where this event subscription is defined.
  `String`
  `getConfiguration()`
  Returns the configuration with additional info about this event subscription.
  `Date`
  `getCreated()`
  Gets the date/time when this event subscription was created.
  `String`
  `getEventName()`
  The event name for the signal or message event.
  `String`
  `getEventType()`
  Returns the type of subscription, for example signal or message.
  `String`
  `getExecutionId()`
  Gets the id of the execution for this event subscription.
  `String`
  `getId()`
  The unique identifier of the execution.
  `String`
  `getLockOwner()`
  Gets the owner of this event subscription, if it was locked.
  `Date`
  `getLockTime()`
  Gets the date/time when this event subscription was locked.
  `String`
  `getProcessDefinitionId()`
  Id of the process definition for this event subscription.
  `String`
  `getProcessInstanceId()`
  Id of the process instance for this event subscription.
  `String`
  `getScopeDefinitionId()`
  Id of the scope definition for this event subscription.
  `String`
  `getScopeDefinitionKey()`
  Key of the scope definition for this event subscription.
  `String`
  `getScopeId()`
  Id of the scope for this event subscription.
  `String`
  `getScopeType()`
  Scope type for this event subscription.
  `String`
  `getSubScopeId()`
  Id of the sub scope for this event subscription.
  `String`
  `getTenantId()`
  The tenant identifier of this process instance

- ## Method Details

  - ### getId

    String getId()
    The unique identifier of the execution.

  - ### getEventType

    String getEventType()
    Returns the type of subscription, for example signal or message.

  - ### getEventName

    String getEventName()
    The event name for the signal or message event.

  - ### getExecutionId

    String getExecutionId()
    Gets the id of the execution for this event subscription.

  - ### getActivityId

    String getActivityId()
    Gets the activity id of the BPMN definition where this event subscription is defined.

  - ### getProcessInstanceId

    String getProcessInstanceId()
    Id of the process instance for this event subscription.

  - ### getProcessDefinitionId

    String getProcessDefinitionId()
    Id of the process definition for this event subscription.

  - ### getSubScopeId

    String getSubScopeId()
    Id of the sub scope for this event subscription.

  - ### getScopeId

    String getScopeId()
    Id of the scope for this event subscription.

  - ### getScopeDefinitionId

    String getScopeDefinitionId()
    Id of the scope definition for this event subscription.

  - ### getScopeDefinitionKey

    String getScopeDefinitionKey()
    Key of the scope definition for this event subscription.

  - ### getScopeType

    String getScopeType()
    Scope type for this event subscription.

  - ### getConfiguration

    String getConfiguration()
    Returns the configuration with additional info about this event subscription.

  - ### getCreated

    Date getCreated()
    Gets the date/time when this event subscription was created.

  - ### getLockOwner

    String getLockOwner()
    Gets the owner of this event subscription, if it was locked.

  - ### getLockTime

    Date getLockTime()
    Gets the date/time when this event subscription was locked.

  - ### getTenantId

    String getTenantId()
    The tenant identifier of this process instance